$(function(){
    var error   = $('<div class="alert alert-danger" role="alert"></div>');
    var success = $('<div class="alert alert-success alert-dismissable" role="alert"></div>');
    var selected = false;

    $('.revoke').click(function () {
        selected = $(this).data('name');

        $('.revoke-modal').modal('show');
    });
    
    $('.revoke-confirm').click(function () {
        var selectedSnapshot = selected;

        $.post('/panel/certificates/revoke', {
            name: selectedSnapshot,
            password: $('.revoke-password').val()
        }, function(data) {
            if (data.success) {
                $('#certificates').after(success.text("Successfully revoked '" + selectedSnapshot + "'"));
                $('.revoke-modal').modal('hide');
            } else {
                $('#revoke-put-error-after-me').after(error.text(data.error));
            }
        });

        $('.revoke-password').val('');
    });
    
    $('.remove').click(function () {
        var that = this;
        $.post('/panel/server/remove',{ fingerprint: $(this).data('fingerprint') }, function () {
           $(that).parents('tr').first().remove();
        });
    });
});